Files - Read Write
Request information for reading and writing file content.
This method is used for requesting information for reading and writing the file content.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{groupName}/providers/Microsoft.DataMigration/services/{serviceName}/projects/{projectName}/files/{fileName}/readwrite?api-version=2022-03-30-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
file
|
path | True |
string |
Name of the File |
|
group
|
path | True |
string |
Name of the resource group |
|
project
|
path | True |
string |
Name of the project |
|
service
|
path | True |
string |
Name of the service |
|
subscription
|
path | True |
string |
Subscription ID that identifies an Azure subscription. |
|
api-version
|
query | True |
string |
Version of the API |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
An object describing how to access the file content |
|
| Other Status Codes |
Error |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Files_List
Sample request
POST https://management.azure.com/subscriptions/fc04246f-04c5-437e-ac5e-206a19e7193f/resourceGroups/DmsSdkRg/providers/Microsoft.DataMigration/services/DmsSdkService/projects/DmsSdkProject/files/x114d023d8/readwrite?api-version=2022-03-30-preview
Sample response
{
"uri": "https://dmssdkservicestorage.blob.core.windows.net/dmssdkservicecontainer/_rpfiles/dmssdkproject/pfpu7fxqcpziyg2h3qj2vb7d8jpbbg7p?sv=2016-05-31&sr=b&sig=sassignature&se=2018-10-05T18%3A21%3A42Z&sp=racwd",
"headers": {
"x-ms-blob-type": "BlockBlob"
}
}
Definitions
| Name | Description |
|---|---|
|
Api |
Error information. |
|
created |
|
|
File |
File storage information. |
|
OData |
Error information in OData format. |
|
System |
ApiError
Error information.
| Name | Type | Description |
|---|---|---|
| error |
Error information in OData format |
|
| systemData |
Metadata pertaining to creation and last modification of the resource. |
createdByType
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
FileStorageInfo
File storage information.
| Name | Type | Description |
|---|---|---|
| headers |
object |
|
| uri |
string |
A URI that can be used to access the file content. |
ODataError
Error information in OData format.
| Name | Type | Description |
|---|---|---|
| code |
string |
The machine-readable description of the error, such as 'InvalidRequest' or 'InternalServerError' |
| details |
Inner errors that caused this error |
|
| message |
string |
The human-readable description of the error |
SystemData
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
|
| createdBy |
string |
|
| createdByType | ||
| lastModifiedAt |
string (date-time) |
|
| lastModifiedBy |
string |
|
| lastModifiedByType |